netio_handler_struct Struct Reference

`#include <netio.h>`

## Data Fields

int | fd
struct timespec * | timeout
void * | user_data
netio_events_type | event_types
netio_event_handler_type | event_handler
int | free_handler

## Detailed Description

Network I/O event handler.

Definition at line 102 of file netio.h.

## Field Documentation

## event_handler

netio_event_handler_type netio_handler_struct::event_handler

Definition at line 131 of file netio.h.

Referenced by dnshandler_create(), dnshandler_start(), netio_dispatch(), notify_create(), sock_handle_tcp_accept(), sock_handle_tcp_read(), sock_handle_tcp_write(), xfrd_create(), and xfrhandler_create().

## event_types

netio_events_type netio_handler_struct::event_types

Definition at line 124 of file netio.h.

Referenced by dnshandler_create(), dnshandler_start(), netio_dispatch(), notify_create(), sock_handle_tcp_accept(), sock_handle_tcp_read(), sock_handle_tcp_write(), xfrd_create(), and xfrhandler_create().

## fd

int netio_handler_struct::fd

Definition at line 108 of file netio.h.

Referenced by dnshandler_create(), dnshandler_fwd_notify(), dnshandler_start(), netio_dispatch(), notify_cleanup(), notify_create(), notify_enable(), notify_send(), sock_handle_tcp_accept(), sock_handle_tcp_read(), sock_handle_tcp_write(), sock_handle_udp(), xfrd_create(), and xfrhandler_create().

## free_handler

int netio_handler_struct::free_handler

Definition at line 132 of file netio.h.

Referenced by dnshandler_start(), netio_cleanup(), and xfrhandler_create().

## timeout

struct timespec* netio_handler_struct::timeout

Definition at line 115 of file netio.h.

Referenced by dnshandler_create(), dnshandler_start(), netio_dispatch(), notify_create(), notify_enable(), sock_handle_tcp_accept(), sock_handle_tcp_read(), sock_handle_tcp_write(), xfrd_create(), and xfrhandler_create().

## user_data

void* netio_handler_struct::user_data

Definition at line 119 of file netio.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), dnshandler_start(), netio_cleanup(), notify_create(), sock_handle_tcp_accept(), sock_handle_tcp_read(), sock_handle_tcp_write(), sock_handle_udp(), xfrd_create(), and xfrhandler_create().

The documentation for this struct was generated from the following file:

- src/wire/netio.h